DT(4)

NAME
dt - dynamic tracer

SYNOPSIS
pseudo-device dt

DESCRIPTION
System and application tracing can happen in the kernel. It has to be configured and enabled through the ioctl(2) interface exposed by the pseudo-device /dev/dt.

This device can only be opened when the kern.allowdt sysctl(2) variable is set.

FILES
/dev/dt
    dynamic tracing device.

SEE ALSO
ioctl(2), bt(5), btrace(8)

HISTORY
The dt dynamic tracing mechanism first appeared in OpenBSD 6.7.